asn1_number_of_elements(3)

NAME
asn1_number_of_elements - API function

SYNOPSIS
#include <libtasn1.h>

asn1_retCode asn1_number_of_elements(ASN1_TYPE element, const char * name, int * num);

ARGUMENTS

ASN1_TYPE element
    pointer to the root of an ASN1 structure.

const char * name
    the name of a sub-structure of ROOT.

int * num
    pointer to an integer where the result will be stored

DESCRIPTION
Counts the number of elements of a sub-structure called NAME with names equal to "?1","?2", ...

RETURNS

COPYRIGHT
Copyright © 2006, 2007, 2008, 2009, 2010 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual.